# Uses of Interface
org.eclipse.ui.IPartService

Packages that use IPartService
Package
Description
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.databinding.typed

## Uses of IPartService in org.eclipse.ui

Subinterfaces of IPartService in org.eclipse.ui
Modifier and Type
Interface
Description
`interface`
`IWorkbenchPage`
A workbench page consists of an arrangement of views and editors intended to be presented together to the user in a single workbench window.
Methods in org.eclipse.ui that return IPartService
Modifier and Type
Method
Description
`IPartService`
IWorkbenchWindow.`getPartService()`
Returns the part service which tracks part activation within this workbench window.

## Uses of IPartService in org.eclipse.ui.databinding.typed

Methods in org.eclipse.ui.databinding.typed with type parameters of type IPartService
Modifier and Type
Method
Description
`static <S extends IPartService>
IValueProperty<S,IEditorReference>`
WorkbenchProperties.`activePartAsEditorReference()`
Returns a property for observing the active part reference of a part service, casted to `IEditorReference`.
`static <S extends IPartService>
IValueProperty<S,IWorkbenchPartReference>`
WorkbenchProperties.`activePartReference()`
Returns a property for observing the active part reference of a part service.